<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.community.carrecord.mapper.CarRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="carRecordResultMap" type="org.springblade.community.carrecord.entity.CarRecord">
        <id column=" id" property=" id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="park_id" property="parkId"/>
        <result column="park_name" property="parkName"/>
        <result column="record_id" property="recordId"/>
        <result column="plate_number" property="plateNumber"/>
        <result column="entrance_time" property="entranceTime"/>
        <result column="exit_time" property="exitTime"/>
        <result column="entrancegate_id" property="entrancegateId"/>
        <result column="exitgate_id" property="exitgateId"/>
        <result column="release_type" property="releaseType"/>
        <result column="cartype_id" property="cartypeId"/>
        <result column="carmodel_id" property="carmodelId"/>
        <result column="enter_type" property="enterType"/>
        <result column="plate_color" property="plateColor"/>
        <result column="is_exit" property="isExit"/>
        <result column="app_key" property="appKey"/>
    </resultMap>


    <select id="selectCarRecordPage" resultMap="carRecordResultMap">
        select * from yc_car_record where is_deleted = 0
    </select>

</mapper>
